﻿namespace TestProject;

/// <summary>
/// 메인 페이지
/// </summary>
public partial class MainPage : ContentPage
{
    //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
    ////////////////////////////////////////////////////////////////////////////////////////// Public

    #region 생성자 - MainPage()

    /// <summary>
    /// 생성자
    /// </summary>
    public MainPage()
    {
        InitializeComponent();

        Accelerometer.ReadingChanged += accelerometer_ReadingChanged;
        this.startButton.Clicked     += startButton_Clicked;
    }

    #endregion

    //////////////////////////////////////////////////////////////////////////////////////////////////// Method
    ////////////////////////////////////////////////////////////////////////////////////////// Private

    #region 가속도계 읽기 변경시 처리하기 - accelerometer_ReadingChanged(sender, e)

    /// <summary>
    /// 가속도계 읽기 변경시 처리하기
    /// </summary>
    /// <param name="sender">이벤트 발생자</param>
    /// <param name="e">이벤트 인자</param>
    private void accelerometer_ReadingChanged(object sender, AccelerometerChangedEventArgs e)
    {
        AccelerometerData data = e.Reading;

        this.label.Text = $"X축 : {data.Acceleration.X}\nY축 : {data.Acceleration.Y}\nZ축 : {data.Acceleration.Z}";
    }

    #endregion
    #region 시작 버튼 클릭시 처리하기 - startButton_Clicked(sender, e)

    /// <summary>
    /// 시작 버튼 클릭시 처리하기
    /// </summary>
    /// <param name="sender">이벤트 발생자</param>
    /// <param name="e">이벤트 인자</param>
    private void startButton_Clicked(object sender, EventArgs e)
    {
        if(Accelerometer.IsMonitoring)
        {
            Accelerometer.Stop();

            this.startButton.Text = "시작";

            this.label.Text = string.Empty;
        }
        else
        {
            this.startButton.Text = "중단";

            Accelerometer.Start(SensorSpeed.UI);
        }
    }

    #endregion
}